# 缓存管理和常见故障

此节预先准备常见故障的应答

## 1.缓存管理

Utau的高速渲染是依赖缓存的，但是有个别时候缓存的认证错误会导致参数没有应用或者出现其他故障。此时需要清理缓存。

合成缓存的存储目录是%Temp%\ChoristaUtau，但是建议使用图形界面工具清理：

<figure><img src=".gitbook/assets/spaces_GxWeqO2OKSEOZdPDlWjY_uploads_git-blob-d8fc00c3ad8a9fe9b2212af2ae5bf3a388d802a8_图片.png" alt=""><figcaption></figcaption></figure>

点击RenderCacheManager处的CleanAll即可。

工具的获取方法见“安装与卸载与基本输入”一节。

## 2.采样渲染故障

<figure><img src=".gitbook/assets/ccbe54a3ffa8b836748df1ad292f8e8e.png" alt=""><figcaption></figcaption></figure>

故障表现如图所示，这个错误出现意味着当前区块的音频渲染失败。

失败通常是两个元音导致的：其一是引擎并发出错，其二是Oto文件不存在。

#### 2.1 引擎并发出错的解决

引擎并发出错往往是系统性能造成的，由于同时高速读写文件，导致系统锁定了Utau渲染引擎，使得渲染失败。

此时只需要重新发起渲染即可，发起的方法有很多，例如：在音高编辑状态下在当前区域右键单击鼠标。



#### 2.2 Oto文件不存在

这种情况是Oto内采样文件找不到，导致Resampler未能正确渲染音频导致的。引起的主要原因就是：声库包不完整或者oto编码集不能识别。

此时请检查oto内文件与实际文件名是否一致，是否正常找到采样文件。

另外可以尝试使用设置工具指定oto文件编码。通常编码应该为ShiftJIS（Utau默认）

<figure><img src=".gitbook/assets/图片 (20).png" alt=""><figcaption></figcaption></figure>

